<template>
  <view class="u-page">
    <z-paging
      ref="paging"
      inside-more
      loading-more-no-more-text="咱也是有底线的！"
      :auto-show-back-to-top="true"
      v-model="dataList"
      @query="queryList"
    >
      <template #top>
        <navBarSearch :searchWord="keyWord" :navName="navName" :type="type" @changeWord="changeWord"></navBarSearch>
         <!-- <view class="databox">
      <view class="cell">
        <view class="num">22</view>
        <view class="name">文章</view>
      </view>
      <view class="cell">
        <view class="num">11</view>
        <view class="name">视频</view>
      </view>
      <view class="cell">
        <view class="num">44</view>
        <view class="name">阅读量</view>
      </view>
    </view> -->
       <!-- <view class="detail" v-if="total>0">
          <view class="desc" v-if="isArticle">检索到：<text class="red">{{total}}篇文章</text></view>
          <view class="desc" v-else>检索到：<text class="red">{{total}}个视频</text></view>
          <view class="desc" v-if="keyWord">检索词：<text class="red">{{ keyWord }}</text></view>
        </view> -->
        <view class="filterbox">
           <!-- <view class="type" @click="swicthType">{{!isArticle?'文章':'视频'}}<up--image :src="switchImg"  width="31rpx" height="31rpx"></up--image></view>  -->
           <up-dropdown  class="u-dropdown" ref="uDropdownRef">
             <up-dropdown-item
              
               :title="dropTitle"
           			
              
             >
           			<view class="dropcontent">
           				<up-radio-group
           				  @change="change"
           				  v-model="orderFilter"
           				  iconPlacement="right"
           				  placement="column"
           				>
           				  <view
           				    class="column"
           				    v-for="item in option"
           				    :key="item.value"
           					:class="[orderFilter==item.value?'active':'']"
           				  >
           				    <up-radio
           				      activeColor="#3CC7C0"
           				      :label="item.label"
           				      :name="item.value"
           				    ></up-radio>
           				  </view>
           				</up-radio-group>			
           			  </view>
           			</up-dropdown-item>
           			<!-- <up-dropdown-item
           			  v-model="order.read_num"
           			   title="阅读量"
           			    @change="changeRead"
           			  :options="options"
           			></up-dropdown-item> -->
           </up-dropdown>
           		 
		 
        </view>
      </template>
       <view class="listbox">
          <view class="item" v-for="(item, index) in dataList" :key="index" @click="type=='hospital'?goDetail(item.basic_hospital.hospital_id,item.basic_hospital.hospital_name):goDetail(item.case_clinical_doctor.doctor_id,item.case_clinical_doctor.doctor_name)">
        <view class="title ellipsis" v-if="type=='hospital'">{{ item.basic_hospital.hospital_name}}</view>
         <view class="title ellipsis" v-else>{{ item.case_clinical_doctor.doctor_name}}({{ item.case_clinical_doctor.hospital_name }})</view>
        <view class="tagsbox">
              <view class="tag" v-for="tag in item.author" :key="tag.author_id">{{ tag.doctor_name }}</view>
        </view>
        <view class="deal">
          <view class="left">
           <view class="count">
               病例数：{{ item.video_num+item.article_num}}<up--image :src="arrowrightImg"  width="32rpx" height="32rpx"></up--image></view>
          </view>
          <view class="time">
             
              <!-- <up-icon name="clock" color="#6B7280" size="28rpx"></up-icon> -->
            <view class="num">更新时间：{{formatdate(item.last_push_date) }}</view>
          </view>
        </view>
      </view>
       </view>
    </z-paging>
  </view>
</template>

<script setup>
import { ref, reactive} from "vue";
import navBarSearch from "@/components/navBarSearch/navBarSearch.vue";
import list from "@/uni_modules/z-paging/components/z-paging/z-paging";
import api from "@/api/api";
import { onLoad,onShow } from "@dcloudio/uni-app";
import dayjs from "dayjs";
import switchImg from "@/static/switch.png";
import navTo  from "@/utils/navTo.js";
import arrowrightImg from "@/static/arrowright.png";
const paging = ref(null);
const uDropdownRef=ref(null);
const dataList = ref([]);
const total = ref(0);
const value = ref("");
const keyWord = ref("");
const isArticle=ref(true)
const type=ref('doctor')
const navName=ref('医生临床病例库');
const orderFilter=ref('1')
const dropTitle=ref('更新时间')
const option= ref([
  {
    label: "更新时间",
    value: '1',
  },
  {
    label: "医生名称",
    value: '2',
  },
  {
    label: "病例数",
    value: '3',
  },
]);
const order=reactive({
	  push_date:'desc'
})

onLoad((options) => {
  if(options.type=='hospital'){
    type.value ='hospital';
	(option.value)[1].label="医院名称"
  }
  console.log( type.value)
   keyWord.value=options.name;
  if(options.name){
      navName.value=options.name+'临床病例库'
  }
  if((options.name='医生' || options.name=='医院') && !options.id){
      keyWord.value='';
   }
  if(options.order=='new'){
	  order.push_date='asc'
  };
  if(options.order=='read'){
  	  order.read_num='desc'
  };
});
onShow(()=>{
 paging.value?.refresh();
})
const change=(e)=>{
  if(e==1){
  		 order.push_date='desc';
  		if(type.value =='hospital'){
  			order.hospital_name='';	
  		}else{
  			order.doctor_name='';
  			
  		}
  		 order.article_num='';
  		 dropTitle.value="更新时间"
  	}else if(e==2){
  		order.push_date='';	
  		order.article_num='';	
		if(type.value =='hospital'){
			order.hospital_name='asc';
			dropTitle.value="医院名称"
		}else{
			order.doctor_name='asc';
			dropTitle.value="医生名称"
		}
  	}else if(e==3){
  		order.push_date='';
  		if(type.value =='hospital'){
  			order.hospital_name='';	
  		}else{
  			order.doctor_name='';
  			
  		}
  		order.article_num='desc';
  	   dropTitle.value="病例数"
  	}
  	orderFilter.value=e;
  	uDropdownRef.value.close();
  paging.value.reload();
}
const formatdate=(date)=>{
  if(!date) return dayjs().format('YYYY-MM-DD')
  return dayjs(date).format('YYYY-MM-DD')
}
const swicthType=()=>{
	 isArticle.value=!isArticle.value;
	 dataList.value=[];
	 order.read_num='';
	 order.push_date='';
	 paging.value.reload();
}
const searchArticle =(params) => {
  let searchForm={
      keyword: keyWord.value,
    }
	if(!order.read_num){
		delete order.read_num
	}
	if(!order.push_date){
		   delete order.push_date
	 }
  if(order.read_num || order.push_date){
     searchForm.order=order
  }
  api.searchArticle({
	    ...searchForm,
      ...params
  }).then((res)=>{
    paging.value.complete(res.data.data.data);
     total.value=res.data.data.total;
  }).catch(err=>{
    paging.value.complete(false);
 })
}

const searchVideo = async(params) => {
   let searchForm={
      keyword: keyWord.value,
    }
	if(!order.read_num){
		delete order.read_num
	}
	if(!order.push_date){
		   delete order.push_date
	 }
  if(order.read_num || order.push_date){
     searchForm.order=order
  }
  api.searchVideo({
    ...params
  }).then((res)=>{
     paging.value.complete(res.data.data.data);
     total.value=res.data.data.total;
  }).catch(err=>{
    paging.value.complete(false);
 })
}

const searchHospital = async(params) => {
   let searchForm={
      hospital_name: keyWord.value,
    }

	if(!order.push_date){
		delete order.push_date
	}
	if(!order.article_num){
		   delete order.article_num
	 }
	 if(!order.hospital_name){
	 	   delete order.hospital_name
	  }
	  if(order.push_date || order.article_num || order.hospital_name){
	     searchForm.order=order
	  }
  api.searchHospital({
    ...searchForm,
    ...params
  }).then((res)=>{
     paging.value.complete(res.data.data.data);
     total.value=res.data.data.total;
  }).catch(err=>{
    paging.value.complete(false);
 })
}
const searchDoctor = async(params) => {
   let searchForm={
      doctor_name: keyWord.value,
    }
	if(!order.push_date){
		delete order.push_date
	}
	if(!order.article_num){
		   delete order.article_num
	 }
	 if(!order.doctor_name){
	 	   delete order.doctor_name
	  }
  if(order.push_date || order.article_num || order.doctor_name){
     searchForm.order=order
  }
  api.searchDoctor({
    ...searchForm,
    ...params
  }).then((res)=>{
     paging.value.complete(res.data.data.data);
     total.value=res.data.data.total;
  }).catch(err=>{
    paging.value.complete(false);
 })
}
const queryList = (pageNo, pageSize) => {
  const params = {
    page: pageNo,
    page_size: pageSize,
  };
 type.value=='hospital'?searchHospital(params):searchDoctor(params)
};
const goDetail=(id,name)=>{
  let url=''
  if(type.value=='doctor'){
    url=`/pages/search/search?doctor_id=${id}&doctor_name=${name}`
  }else{
    url=`/pages/search/search?hospital_id=${id}&hospital_name=${name}`
  }
  navTo({
    url:url,
  });
}
/**
 * 修改关键词并更新界面
 *
 * @param value 输入的关键词
 */
const changeWord=(value)=>{
   console.log(value);
 
	if(type.value=='hospital'){
		navName.value='医院临床病例库';
		 order.hospital_name='';
	}else{
		navName.value='医生临床病例库';
		 order.doctor_name='';
	}
     
     keyWord.value=value;
     dataList.value=[];
     order.push_date='desc';
     order.article_num='';
	 
    paging.value.reload();
  

}
</script>

<style lang="scss" scoped>
.dropcontent{
		padding-top: 40rpx;
		padding-bottom: 20rpx;
		background-color: #fff;
		:deep(.u-radio){
			    margin-bottom: 6px!important;
			    margin-top: 16px!important;
		 }
		.column {
		  padding: 0 30rpx;
		  border-top: 2rpx solid #e5e7eb;
		  :deep(.u-radio__text){
		  	color: #333 !important;
		  }
		}
		.column.active{
			:deep(.u-radio__text){
				color: #3CC7C0 !important;
			}
		}
		
	}
.databox {
  height: 162rpx;
  background: #ffffff;
  display: flex;
  margin-bottom: 20rpx;
  // padding: 0 30rpx;
  justify-content: space-between;
  .cell {
    flex: 1;
    padding: 35rpx 0;

    text-align: center;

    .num {
      font-size: 38rpx;
      color: #3cc7c0;
    }
    .name {
      margin-top: 18rpx;
      font-size: 28rpx;
      color: #4b5563;
    }
  }
}
.listbox{
  background: #F8F9FA;
  overflow: hidden;
}
.filterbox{
	display: flex;
	height:128rpx;
   background:#fff;
  border-bottom: 2rpx solid rgba(0,0,0,0.08);
	align-items: center;
   position: relative;
     :deep(.u-dropdown__menu__item__text){
    font-size: 14px!important;
	color:#3CC7C0!important;
  }
  .type{
    position: absolute;
    left:30rpx;
	top:24rpx;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #F3F4F6;
    border-radius: 15rpx;
    height: 74rpx;
    padding:0 25rpx;
    z-index:2;
  }
}
.u-page {
   :deep(.z-paging-content-fixed){
     background: #F8F9FA!important;
  }
  :deep(.u-flex) {
    display: flex;
    flex-direction:row;
	  overflow: hidden;
  }
  :deep(.u-image){
	background: none!important;  
  }
  :deep(.u-dropdown__menu){
	 	
    background: #fff;
    z-index:1;
    margin-left:-30rpx;

  }
  :deep(.u-dropdown__menu__item){
	 
        height:74rpx;
        padding:0 20rpx;
        background: #F3F4F6;
        border-radius: 15rpx;
	    flex:none;
		margin-left: 60rpx;
     
  }
  .deal {
    margin-top: 20rpx;
    display: flex;
    color: #6b7280;
    background:#fff;
    font-size: 24rpx;
    justify-content: space-between;
    .left {
      display: flex;
      align-items: center;
      font-size: 27rpx;
      .count{

        display: flex;
         align-items: center;
      }
    }
    .collect {
      display: flex;
      align-items: center;
    }
    .eyebox {
      width: 160rpx;
      display: flex;
      align-items: center;
    }
    .time {
      display: flex;
      align-items: center;
    }
    .num {
      margin-left: 8rpx;
    }
  }
  .item {
    margin:30rpx;
     background: #fff;
	   padding:30rpx;
     box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.08);
     border-radius: 23rpx;

    .title {
      font-size: 30rpx;
      color: #111827;
      line-height: 46rpx;
    }
  }
  .tagsbox {
    margin-top: 20rpx;
    display: flex;
	flex-wrap: wrap;
    .tag {
      padding: 0 10rpx;
      margin-right: 16rpx;
      height: 46rpx;
      line-height: 46rpx;
      text-align: center;
      background: rgba(60, 199, 192, 0.1);
      border-radius: 8rpx;
      font-weight: 400;
      font-size: 24rpx;
      color: #3cc7c0;
    }
  }
}
.detail {
  background: #f9f9f9;
  padding: 12rpx 30rpx;
  .desc {
    font-size: 26rpx;
    color: #4b5563;
    line-height: 40rpx;
  }
  .red{
     color: #FF0000;
  }
}
</style>